com.taosdata.jdbc.ws.stmt2.entity

## Class PrepareReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.stmt2.entity.PrepareReq

    public class PrepareReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`PrepareReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSql()`
`long` `getStmtId()`
`boolean` `isGetFields()`
`void` `setGetFields(boolean getFields)`
`void` `setSql(String sql)`
`void` `setStmtId(long stmtId)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrepareReq

    public PrepareReq()

### Method Detail

#### getStmtId

    public long getStmtId()

#### setStmtId

    public void setStmtId(long stmtId)

#### getSql

    public String getSql()

#### setSql

    public void setSql(String sql)

#### isGetFields

    public boolean isGetFields()

#### setGetFields

    public void setGetFields(boolean getFields)